using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BPASmartClient.CustomResource.UserControls
{
    /// <summary>
    /// IcoButton.xaml 的交互逻辑
    /// </summary>
    public partial class IcoButton : UserControl
    {
        public IcoButton()
        {
            InitializeComponent();
        }

        public static void OnPropertyChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            (d as IcoButton).Refresh();
        }

        private void Refresh()
        {

        }

        public int BorderThickness
        {
            get { return (int)GetValue(BorderThicknessProperty); }
            set { SetValue(BorderThicknessProperty, value); }
        }
        public static readonly DependencyProperty BorderThicknessProperty =
            DependencyProperty.Register("BorderThickness", typeof(int), typeof(IcoButton),
             new PropertyMetadata(2, new PropertyChangedCallback(OnPropertyChanged)));


        public string IcoText
        {
            get { return (string)GetValue(IcoTextProperty); }
            set { SetValue(IcoTextProperty, value); }
        }
        public static readonly DependencyProperty IcoTextProperty =
            DependencyProperty.Register("IcoText", typeof(string), typeof(IcoButton),
             new PropertyMetadata("", new PropertyChangedCallback(OnPropertyChanged)));

    }
}
